#!/bin/bash

TARGET="Maemo 5"
BINARY_NAME="quasar"

SCRIPT_FILENAME="`cd \`dirname \"$0\"\`; pwd`/`basename \"$0\"`"
DISTRO_ROOT=$(dirname "$SCRIPT_FILENAME")

source "$DISTRO_ROOT/makedistro-common.sh.in"

function prepareMakefile()
{
	qmake quasar-qt4.pro -r -spec linux-g++-maemo5
}

buildBinary "$TOOLS_ROOT/devenv-arm-maemo5-qtsdk-qt4.sh"

removeObsoleteFiles

# create package
rm -Rf "debian"
cp -R "qtc_packaging/debian_fremantle" "debian"
chmod +x "debian/rules"
mad dpkg-buildpackage -nc -uc -us || onError "Building Debian package failed."
movePackageToDestination ../quasar_*.deb "$OUTPUT_ROOT/quasar_${APPVERSION_FILENAME_SUFFIX}.deb" "$1"

cleanUp
